=== debian/changelog ===
juk (4:25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Oct 2025 07:30:53 +0100

juk (4:25.08.2-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * New upstream release (25.08.2).
  * debian/control: Update build-deps and deps with the info from cmake.
  * debian/control: Drop build-dependency on transitional package
    libtag1-dev again.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Oct 2025 14:59:46 -0400

juk (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:39:56 +0100
