## juk 25.08.2+p24.04+vstable+git20251016.0805

=== debian/changelog ===
juk (4:25.08.2+p24.04+vstable+git20251016.0805-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 08:05:13 +0000

juk (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:16:40 +0000
