## juk 25.08.2+p24.04+vstable+git20251019.0158

=== debian/changelog ===
juk (4:25.08.2+p24.04+vstable+git20251019.0158-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:58:56 +0000
