## juk 25.08.2+p24.04+vstable+git20251029.0024

=== debian/changelog ===
juk (4:25.08.2+p24.04+vstable+git20251029.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 00:24:24 +0000
