=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libkf6completion-dev (>= 5.240.0~),
@@ -32,8 +32,8 @@
                libtag-dev (>= 1.6),
                pkgconf,
                qt6-base-dev,
+               qt6-multimedia-dev,
                qt6-svg-dev,
-               qt6-multimedia-dev,
 Standards-Version: 4.7.2
 Homepage: https://juk.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
