## juk 25.08.3+p24.04+vunstable+git20251203.0308

=== debian/changelog ===
juk (4:25.08.3+p24.04+vunstable+git20251203.0308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:08:33 +0000

juk (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:40:56 +1000
