## juk 25.12.0+p24.04+vstable+git20251213.0540

=== debian/changelog ===
juk (4:25.12.0+p24.04+vstable+git20251213.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 13 Dec 2025 05:40:38 +0000
