## juk 25.12.1+p24.04+vstable+git20260131.0325

=== debian/changelog ===
juk (4:25.12.1+p24.04+vstable+git20260131.0325-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:25:53 +0000
