## juk 25.12.1+p24.04+vstable+git20260202.1021

=== debian/changelog ===
juk (4:25.12.1+p24.04+vstable+git20260202.1021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:21:21 +0000
