## juk 25.12.2+p24.04+vstable+git20260206.0913

=== debian/changelog ===
juk (4:25.12.2+p24.04+vstable+git20260206.0913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 09:13:29 +0000

juk (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:02:18 +0000
