## juk 25.12.2+p24.04+vstable+git20260219.0321

=== debian/changelog ===
juk (4:25.12.2+p24.04+vstable+git20260219.0321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 03:21:33 +0000
