## juk 25.12.2+p24.04+vstable+git20260220.0759

=== debian/changelog ===
juk (4:25.12.2+p24.04+vstable+git20260220.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 20 Feb 2026 07:59:32 +0000
